Bug 462830 - Kernel Upgraded from Wrong Repository
Kernel Upgraded from Wrong Repository
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: apt (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-19 04:21 EDT by Eli Wapniarski
Modified: 2009-07-14 10:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:34:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
apt-get preferences file (4.84 KB, text/plain)
2008-09-19 04:21 EDT, Eli Wapniarski
no flags Details
fedora-updates-testing.list (112 bytes, text/plain)
2008-09-19 04:22 EDT, Eli Wapniarski
no flags Details

  None (edit)
Description Eli Wapniarski 2008-09-19 04:21:18 EDT
Created attachment 317164 [details]
apt-get preferences file

After adding the Fedora Updates Testing Repository to source.list.d in order to pin and install kde 4.1.1 related packages, and after specifically pinning those components -- apt-get started downloading the kernel and kernel-devel packages from updates-testing as well.

In my preferences files, the only files that have pinned from updates testing are the kde related packages. Other than that the updates testing repository is in no way shape or form prioritized so the kernel packages should not be coming from there at all.

I will be attaching my preferences and list file
Comment 1 Eli Wapniarski 2008-09-19 04:22:24 EDT
Created attachment 317165 [details]
fedora-updates-testing.list
Comment 2 Axel Thimm 2008-09-19 13:20:56 EDT
I think that is by design. Once a repo is enabled in apt, you need to explicitly pin it away from the default 1000. You modified two packages, but all the others are at 1000, still.

Pinning with apt is an art that few people have managed to master. You need to experiment a bit, but I think that package and repo pinning simultaneously don't go well together.
Comment 3 Eli Wapniarski 2008-09-19 15:39:41 EDT
Actually pinning an repomd works very well once you've figured out how to get things labeled correctly. The info was supplied in a mailing list thread somewhere on Panu's web sight.

The first thing that you will notice is that I have upgrade.newkey repo moved up from the default which quoting from the man page:

     If the target release has not been specified then APT simply
     assigns priority 100 to all installed package versions and  priority
     500 to all uninstalled package versions.

So in my configuration upgrade.newkey has a priority well above 1000. The upgrade-testing.newkey has default priority which is lower than everything else that I've prioritized except for the packages that I've explicitly said that I want prioritized higher which are the kde 4.1.1 packages

This means that the kernel packages should come from upgrade.newkey not upgrade-testing.newkey. Which means that this is a bug.
Comment 4 Bug Zapper 2009-06-09 22:45:19 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 10:34:29 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.